---
apiVersion: v1
items:
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      service.alpha.openshift.io/serving-cert-secret-name: plugin-serving-cert
    creationTimestamp: "2025-10-27T12:41:21Z"
    labels:
      app: nmstate-console-plugin
      app.kubernetes.io/component: nmstate-console-plugin
      app.kubernetes.io/instance: nmstate-console-plugin
      app.kubernetes.io/part-of: nmstate-console-plugin
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:service.alpha.openshift.io/serving-cert-secret-name: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/instance: {}
            f:app.kubernetes.io/part-of: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"c449c622-896c-406e-8487-20bb9b129f67"}: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":9443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: manager
      operation: Update
      time: "2025-10-27T12:41:21Z"
    name: nmstate-console-plugin
    namespace: openshift-nmstate
    ownerReferences:
    - apiVersion: nmstate.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: NMState
      name: nmstate
      uid: c449c622-896c-406e-8487-20bb9b129f67
    resourceVersion: "65019"
    uid: cc2df826-17e0-4952-ac07-a858cb3a6f7c
  spec:
    clusterIP: 172.30.238.255
    clusterIPs:
    - 172.30.238.255
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: 9443-tcp
      port: 9443
      protocol: TCP
      targetPort: 9443
    selector:
      app: nmstate-console-plugin
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    creationTimestamp: "2025-10-27T12:41:21Z"
    labels:
      prometheus.nmstate.io: "true"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            .: {}
            f:prometheus.nmstate.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"c449c622-896c-406e-8487-20bb9b129f67"}: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":8443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: manager
      operation: Update
      time: "2025-10-27T12:41:21Z"
    name: nmstate-monitor
    namespace: openshift-nmstate
    ownerReferences:
    - apiVersion: nmstate.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: NMState
      name: nmstate
      uid: c449c622-896c-406e-8487-20bb9b129f67
    resourceVersion: "52428"
    uid: 877606cb-e236-4794-be55-45b0e155518f
  spec:
    clusterIP: 172.30.196.124
    clusterIPs:
    - 172.30.196.124
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: metrics
      port: 8443
      protocol: TCP
      targetPort: metrics
    selector:
      prometheus.nmstate.io: "true"
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      service.beta.openshift.io/serving-cert-secret-name: openshift-nmstate-webhook
    creationTimestamp: "2025-10-27T12:41:21Z"
    labels:
      app: kubernetes-nmstate
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:service.beta.openshift.io/serving-cert-secret-name: {}
          f:labels:
            .: {}
            f:app: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"c449c622-896c-406e-8487-20bb9b129f67"}: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:publishNotReadyAddresses: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: manager
      operation: Update
      time: "2025-10-27T12:41:21Z"
    name: nmstate-webhook
    namespace: openshift-nmstate
    ownerReferences:
    - apiVersion: nmstate.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: NMState
      name: nmstate
      uid: c449c622-896c-406e-8487-20bb9b129f67
    resourceVersion: "65011"
    uid: 8b23d6b1-c054-4a42-86f9-84c367348fba
  spec:
    clusterIP: 172.30.83.94
    clusterIPs:
    - 172.30.83.94
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - port: 443
      protocol: TCP
      targetPort: 9443
    publishNotReadyAddresses: true
    selector:
      name: nmstate-webhook
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
kind: ServiceList
metadata:
  resourceVersion: "2220165"
